summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-sound/xmms-aalsa/xmms-aalsa-0.5.4-r3.ebuild20
-rw-r--r--media-sound/xmms-arts/xmms-arts-0.4-r3.ebuild16
-rw-r--r--media-sound/xmms-blursk/xmms-blursk-1.2.ebuild14
-rw-r--r--media-sound/xmms-crossfade/xmms-crossfade-0.2.9.ebuild20
-rw-r--r--media-sound/xmms-dflowers/xmms-dflowers-1.2.ebuild17
-rw-r--r--media-sound/xmms-dscope/xmms-dscope-1.2.ebuild17
-rw-r--r--media-sound/xmms-dspectogram/xmms-dspectogram-1.2.ebuild17
-rw-r--r--media-sound/xmms-dspectral/xmms-dspectral-1.2.ebuild17
-rw-r--r--media-sound/xmms-gdancer/xmms-gdancer-0.4.5.ebuild10
-rw-r--r--media-sound/xmms-infinity/xmms-infinity-0.2.ebuild17
-rw-r--r--media-sound/xmms-infopipe/xmms-infopipe-1.3.ebuild21
-rw-r--r--media-sound/xmms-iris/files/digest-xmms-iris-0.91
-rw-r--r--media-sound/xmms-iris/xmms-iris-0.10.ebuild12
-rw-r--r--media-sound/xmms-iris/xmms-iris-0.9.ebuild29
-rw-r--r--media-sound/xmms-jess/xmms-jess-2.9.1.ebuild18
-rw-r--r--media-sound/xmms-mad/files/digest-xmms-mad-0.0.81
-rw-r--r--media-sound/xmms-mad/xmms-mad-0.0.8.ebuild26
-rw-r--r--media-sound/xmms-mad/xmms-mad-0.0.9.ebuild15
-rw-r--r--media-sound/xmms-nas/xmms-nas-0.2-r1.ebuild25
-rw-r--r--media-sound/xmms-nebulus/xmms-nebulus-0.2.0.ebuild7
-rw-r--r--media-sound/xmms-shell/files/digest-xmms-shell-0.99.01
-rw-r--r--media-sound/xmms-shell/xmms-shell-0.99.0-r1.ebuild25
-rw-r--r--media-sound/xmms-shell/xmms-shell-0.99.0.ebuild34
-rw-r--r--media-sound/xmms-shn/xmms-shn-2.2.4.ebuild12
-rw-r--r--media-sound/xmms-sid/xmms-sid-0.7.3.ebuild20
-rw-r--r--media-sound/xmms-status-plugin/xmms-status-plugin-0.9.ebuild27
-rw-r--r--media-sound/xmms-volnorm/xmms-volnorm-0.4.1.ebuild8
-rw-r--r--media-sound/xmms-xosd/xmms-xosd-0.7.0.ebuild19
-rw-r--r--media-sound/xmp/xmp-2.0.5_pre3.ebuild56
29 files changed, 227 insertions, 295 deletions
diff --git a/media-sound/xmms-aalsa/xmms-aalsa-0.5.4-r3.ebuild b/media-sound/xmms-aalsa/xmms-aalsa-0.5.4-r3.ebuild
index 7d2da782b474..f38422ab76b2 100644
--- a/media-sound/xmms-aalsa/xmms-aalsa-0.5.4-r3.ebuild
+++ b/media-sound/xmms-aalsa/xmms-aalsa-0.5.4-r3.ebuild
@@ -1,12 +1,18 @@
# Copyright 1999-2001 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-aalsa/xmms-aalsa-0.5.4-r3.ebuild,v 1.3 2002/07/11 06:30:42 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-aalsa/xmms-aalsa-0.5.4-r3.ebuild,v 1.4 2002/07/22 00:48:13 seemant Exp $
-S=${WORKDIR}/xmms-aalsa_0.5.4
+MY_P=${PN}_${PV}
+S=${WORKDIR}/${MY_P}
DESCRIPTION="This output plugin allows xmms to work with alsa"
-SRC_URI="http://www1.tcnet.ne.jp/fmurata/linux/aalsa/xmms-aalsa_0.5.4.tar.gz"
+SRC_URI="http://www1.tcnet.ne.jp/fmurata/linux/aalsa/${MY_P}.tar.gz"
-DEPEND="virtual/glibc >=media-sound/xmms-1.2.5-r1 >=media-libs/alsa-lib-0.5.9"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+
+DEPEND=">=media-sound/xmms-1.2.5-r1 \
+ =media-libs/alsa-lib-0.5*"
src_unpack() {
unpack ${A}
@@ -16,12 +22,12 @@ src_unpack() {
}
src_compile() {
- try ./configure --prefix=/usr --host=${CHOST}
- try make
+ econf || die
+ make || die
}
src_install() {
- try make DESTDIR=${D} libdir=/usr/lib/xmms/Output install
+ make DESTDIR=${D} libdir=/usr/lib/xmms/Output install || install
dodoc AUTHORS COPYING NEWS README
}
diff --git a/media-sound/xmms-arts/xmms-arts-0.4-r3.ebuild b/media-sound/xmms-arts/xmms-arts-0.4-r3.ebuild
index 4c6adf8d8eba..7a0ae60b03f3 100644
--- a/media-sound/xmms-arts/xmms-arts-0.4-r3.ebuild
+++ b/media-sound/xmms-arts/xmms-arts-0.4-r3.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2001 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-arts/xmms-arts-0.4-r3.ebuild,v 1.4 2002/07/11 06:30:42 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-arts/xmms-arts-0.4-r3.ebuild,v 1.5 2002/07/22 00:48:13 seemant Exp $
inherit kde-base || die
@@ -8,14 +8,15 @@ inherit kde-base || die
# it only links against arts. So we need set-kdedir, but almost nothing else. So make sure it continues
# to override e.g. src_install.
-LICENSE="GPL-2"
DESCRIPTION="This output plugin allows xmms to work with arts, KDE's sound system"
SRC_URI="http://stukach.com/hosted/m.i.a/xmmsarts/xmmsarts-0.4.tar.gz"
# HOMEPAGE="http://home.earthlink.net/~bheath/xmms-arts/" #disappeared from the 'net?
-newdepend "virtual/glibc
- sys-devel/gcc
- >=media-sound/xmms-1.2.5-r1"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+
+newdepend ">=media-sound/xmms-1.2.5-r1"
need-kde 3
@@ -23,14 +24,15 @@ src_unpack() {
unpack ${A}
cd ${S}
cp Makefile.am Makefile.orig
- sed -e "s:artsc-config:${KDE3DIR}/bin/artsc-config:" Makefile.orig > Makefile.am
+ sed -e "s:artsc-config:${KDE3DIR}/bin/artsc-config:" \
+ Makefile.orig > Makefile.am
autoconf
}
src_compile() {
kde_src_compile myconf # calls set-kdedir
CFLAGS="$CFLAGS -I/usr/X11R6/include -I/usr/include -I${KDE3DIR}/include -I${KDE3DIR}/include/artsc"
- ./configure --prefix=/usr --host=${CHOST} || die
+ econf || die
emake || die
}
diff --git a/media-sound/xmms-blursk/xmms-blursk-1.2.ebuild b/media-sound/xmms-blursk/xmms-blursk-1.2.ebuild
index 3c5d78046e1b..24e42e9a30cc 100644
--- a/media-sound/xmms-blursk/xmms-blursk-1.2.ebuild
+++ b/media-sound/xmms-blursk/xmms-blursk-1.2.ebuild
@@ -1,21 +1,21 @@
# Copyright 1999-20022 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-blursk/xmms-blursk-1.2.ebuild,v 1.1 2002/06/19 08:25:57 george Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-blursk/xmms-blursk-1.2.ebuild,v 1.2 2002/07/22 00:48:13 seemant Exp $
-DESCRIPTION="Yet another psychedelic visualization plug-in for XMMS"
-NAME="Blursk"
-SRC_URI="http://www.cs.pdx.edu/~kirkenda/blursk/${NAME}-${PV}.tar.gz"
+MY_P="Blursk-${PV}"
+S=${WORKDIR}/${MY_P}
+SRC_URI="http://www.cs.pdx.edu/~kirkenda/blursk/${MY_P}.tar.gz"
HOMEPAGE="http://www.cs.pdx.edu/~kirkenda/blursk/"
-LICENSE="GPL-2"
+DESCRIPTION="Yet another psychedelic visualization plug-in for XMMS"
DEPEND="=x11-libs/gtk+-1.2*
>=media-sound/xmms-1.2.6-r5"
RDEPEND="${DEPEND}"
SLOT="0"
-
-S=${WORKDIR}/${NAME}-${PV}
+LICENSE="GPL-2"
+KEYWORDS="x86"
src_install () {
diff --git a/media-sound/xmms-crossfade/xmms-crossfade-0.2.9.ebuild b/media-sound/xmms-crossfade/xmms-crossfade-0.2.9.ebuild
index 171b9bedc6fe..d9d0f1c1eb26 100644
--- a/media-sound/xmms-crossfade/xmms-crossfade-0.2.9.ebuild
+++ b/media-sound/xmms-crossfade/xmms-crossfade-0.2.9.ebuild
@@ -1,22 +1,22 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-crossfade/xmms-crossfade-0.2.9.ebuild,v 1.3 2002/07/11 06:30:42 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-crossfade/xmms-crossfade-0.2.9.ebuild,v 1.4 2002/07/22 00:48:13 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="XMMS Plugin for crossfading, and continuous output."
-SRC_URI="http://www.netcologne.de/~nc-eisenlpe2/xmms-crossfade/${P}.tar.gz"
+SRC_URI="http://www.netcologne.de/~nc-eisenlpe2/${PN}/${P}.tar.gz"
HOMEPAGE="http://www.netcologne.de/~nc-eisenlpe2/xmms-crossfade/"
-DEPEND="virtual/glibc
- =x11-libs/gtk+-1.2*
- >=media-sound/xmms-1.2.5-r1"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
-src_compile() {
+DEPEND="=x11-libs/gtk+-1.2*
+ >=media-sound/xmms-1.2.5-r1"
- ./configure --infodir=/usr/share/info \
- --mandir=/usr/share/man \
- --host=${CHOST} || die
+src_compile() {
+ econf || die
emake || die
}
@@ -26,5 +26,3 @@ src_install () {
make DESTDIR=${D} install || die
dodoc AUTHORS COPYING ChangeLog INSTALL README TODO
}
-
-
diff --git a/media-sound/xmms-dflowers/xmms-dflowers-1.2.ebuild b/media-sound/xmms-dflowers/xmms-dflowers-1.2.ebuild
index 39679d259b1b..9c7ca2248f5d 100644
--- a/media-sound/xmms-dflowers/xmms-dflowers-1.2.ebuild
+++ b/media-sound/xmms-dflowers/xmms-dflowers-1.2.ebuild
@@ -1,25 +1,24 @@
# Copyright 1999-2001 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-dflowers/xmms-dflowers-1.2.ebuild,v 1.2 2002/05/22 23:55:56 george Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-dflowers/xmms-dflowers-1.2.ebuild,v 1.3 2002/07/22 00:48:13 seemant Exp $
-SHORTNAME="dflowers-1.2"
-S=${WORKDIR}/${SHORTNAME}
+MY_P=${PN/xmms-/}-${PV}
+S=${WORKDIR}/${MY_P}
DESCRIPTION="Dual Flowers visualization plugin for xmms"
-SRC_URI="http://hem.passagen.se/joakime/${SHORTNAME}.tar.gz"
+SRC_URI="http://hem.passagen.se/joakime/${MY_P}.tar.gz"
HOMEPAGE="http://hem.passagen.se/joakime/linuxapp.html"
+SLOT="0"
LICENSE="GPL-2"
+KEYWORDS="x86"
-DEPEND="virtual/glibc
- sys-devel/gcc
- >=media-sound/xmms-1.2.5-r1"
-RDEPEND="${DEPEND}"
+DEPEND="media-sound/xmms"
src_unpack() {
unpack ${A}
cd ${S} || die
# patch in DESTDIR support
- patch -p0 < ${FILESDIR}/${SHORTNAME}-destdir.patch || die
+ patch -p0 < ${FILESDIR}/${MY_P}-destdir.patch || die
}
src_compile() {
diff --git a/media-sound/xmms-dscope/xmms-dscope-1.2.ebuild b/media-sound/xmms-dscope/xmms-dscope-1.2.ebuild
index 654717d97e07..7b69407cea29 100644
--- a/media-sound/xmms-dscope/xmms-dscope-1.2.ebuild
+++ b/media-sound/xmms-dscope/xmms-dscope-1.2.ebuild
@@ -1,21 +1,24 @@
# Copyright 1999-2001 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-dscope/xmms-dscope-1.2.ebuild,v 1.3 2002/07/13 17:06:19 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-dscope/xmms-dscope-1.2.ebuild,v 1.4 2002/07/22 00:48:13 seemant Exp $
-SHORTNAME="dscope-1.2"
-S=${WORKDIR}/${SHORTNAME}
+MY_P=${PN/xmms-/}-${PV}
+S=${WORKDIR}/${MY_P}
DESCRIPTION="Dual Scope visualization plugin for xmms"
-SRC_URI="http://hem.passagen.se/joakime/${SHORTNAME}.tar.gz"
+SRC_URI="http://hem.passagen.se/joakime/${MY_P}.tar.gz"
HOMEPAGE="http://hem.passagen.se/joakime/linuxapp.html"
+
+SLOT="0"
LICENSE="GPL-2"
-DEPEND="virtual/glibc sys-devel/gcc >=media-sound/xmms-1.2.5-r1"
-RDEPEND="${DEPEND}"
+KEYWORDS="x86"
+
+DEPEND="media-sound/xmms"
src_unpack() {
unpack ${A}
cd ${S} || die
# patch in DESTDIR support
- patch -p0 < ${FILESDIR}/${SHORTNAME}-destdir.patch || die
+ patch -p0 < ${FILESDIR}/${MY_P}-destdir.patch || die
}
src_compile() {
diff --git a/media-sound/xmms-dspectogram/xmms-dspectogram-1.2.ebuild b/media-sound/xmms-dspectogram/xmms-dspectogram-1.2.ebuild
index c176a6ff3729..0ddc4cef23ac 100644
--- a/media-sound/xmms-dspectogram/xmms-dspectogram-1.2.ebuild
+++ b/media-sound/xmms-dspectogram/xmms-dspectogram-1.2.ebuild
@@ -1,25 +1,24 @@
# Copyright 1999-2001 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-dspectogram/xmms-dspectogram-1.2.ebuild,v 1.1 2002/05/22 23:55:57 george Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-dspectogram/xmms-dspectogram-1.2.ebuild,v 1.2 2002/07/22 00:48:14 seemant Exp $
-SHORTNAME="dspectogram-1.2"
-S=${WORKDIR}/${SHORTNAME}
+MY_P=${PN/xmms-/}-${PV}
+S=${WORKDIR}/${MY_P}
DESCRIPTION="Dual spectral histogram visualization plugin for xmms"
-SRC_URI="http://hem.passagen.se/joakime/${SHORTNAME}.tar.gz"
+SRC_URI="http://hem.passagen.se/joakime/${MY_P}.tar.gz"
HOMEPAGE="http://hem.passagen.se/joakime/linuxapp.html"
+SLOT="0"
LICENSE="GPL-2"
+KEYWORDS="x86"
-DEPEND="virtual/glibc
- sys-devel/gcc
- >=media-sound/xmms-1.2.5-r1"
-RDEPEND=${DEPEND}
+DEPEND="media-sound/xmms"
src_unpack() {
unpack ${A}
cd ${S} || die
# patch in DESTDIR support
- patch -p0 < ${FILESDIR}/${SHORTNAME}-destdir.patch || die
+ patch -p0 < ${FILESDIR}/${MY_P}-destdir.patch || die
}
src_compile() {
diff --git a/media-sound/xmms-dspectral/xmms-dspectral-1.2.ebuild b/media-sound/xmms-dspectral/xmms-dspectral-1.2.ebuild
index e517dd2260dd..1c653357beae 100644
--- a/media-sound/xmms-dspectral/xmms-dspectral-1.2.ebuild
+++ b/media-sound/xmms-dspectral/xmms-dspectral-1.2.ebuild
@@ -1,25 +1,24 @@
# Copyright 1999-2001 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-dspectral/xmms-dspectral-1.2.ebuild,v 1.1 2002/05/22 23:55:57 george Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-dspectral/xmms-dspectral-1.2.ebuild,v 1.2 2002/07/22 00:48:14 seemant Exp $
-SHORTNAME="dspectral-1.2"
-S=${WORKDIR}/${SHORTNAME}
+MY_P=${P/xmms-/}
+S=${WORKDIR}/${MY_P}
DESCRIPTION="Dual spectral analyzer visualization plugin for xmms"
-SRC_URI="http://hem.passagen.se/joakime/${SHORTNAME}.tar.gz"
+SRC_URI="http://hem.passagen.se/joakime/${MY_P}.tar.gz"
HOMEPAGE="http://hem.passagen.se/joakime/linuxapp.html"
+SLOT="0"
LICENSE="GPL-2"
+KEYWORDS="x86"
-DEPEND="virtual/glibc
- sys-devel/gcc
- >=media-sound/xmms-1.2.5-r1"
-RDEPEND="${DEPEND}"
+DEPEND="media-sound/xmms"
src_unpack() {
unpack ${A}
cd ${S} || die
# patch in DESTDIR support
- patch -p0 < ${FILESDIR}/${SHORTNAME}-destdir.patch || die
+ patch -p0 < ${FILESDIR}/${MY_P}-destdir.patch || die
}
src_compile() {
diff --git a/media-sound/xmms-gdancer/xmms-gdancer-0.4.5.ebuild b/media-sound/xmms-gdancer/xmms-gdancer-0.4.5.ebuild
index 97d916fa91bf..9e7134f93345 100644
--- a/media-sound/xmms-gdancer/xmms-gdancer-0.4.5.ebuild
+++ b/media-sound/xmms-gdancer/xmms-gdancer-0.4.5.ebuild
@@ -1,17 +1,19 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-gdancer/xmms-gdancer-0.4.5.ebuild,v 1.1 2002/06/28 16:48:55 lostlogic Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-gdancer/xmms-gdancer-0.4.5.ebuild,v 1.2 2002/07/22 00:48:14 seemant Exp $
-S=${WORKDIR}/gdancer-${PV}
+MY_P=${P/xmms-/}
+S=${WORKDIR}/${MY_P}
DESCRIPTION="Dancing character plugin for XMMS"
HOMEPAGE="http://figz.com/gdancer/"
-SRC_URI="http://figz.com/gdancer/files/gdancer-${PV}.tar.gz"
+SRC_URI="http://figz.com/gdancer/files/${MY_P}.tar.gz"
+
SLOT="0"
LICENSE="GPL"
+KEYWORDS="x86"
DEPEND="media-sound/xmms
=x11-libs/gtk+-1.2*"
-RDEPEND="${DEPEND}"
src_compile() {
econf || die
diff --git a/media-sound/xmms-infinity/xmms-infinity-0.2.ebuild b/media-sound/xmms-infinity/xmms-infinity-0.2.ebuild
index 81da15eb8e22..7a4c0dc6e178 100644
--- a/media-sound/xmms-infinity/xmms-infinity-0.2.ebuild
+++ b/media-sound/xmms-infinity/xmms-infinity-0.2.ebuild
@@ -1,23 +1,24 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-infinity/xmms-infinity-0.2.ebuild,v 1.1 2002/06/11 23:28:53 george Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-infinity/xmms-infinity-0.2.ebuild,v 1.2 2002/07/22 00:48:14 seemant Exp $
+MY_P=${P/xmms-/}
+S=${WORKDIR}/${MY_P}
DESCRIPTION="A psychedelic visualization plug-in for XMMS"
-
-NAME="infinity"
-SRC_URI="http://julien.carme.free.fr/${NAME}-${PV}.tar.gz"
+SRC_URI="http://julien.carme.free.fr/${MY_P}.tar.gz"
HOMEPAGE="http://julien.carme.free.fr/infinite.html"
-LICENSE="GPL-2"
+
SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
DEPEND="=dev-libs/glib-1.2*
=x11-libs/gtk+-1.2*
- >=media-libs/libsdl-1.2.4-r2
- >=media-sound/xmms-1.2.6-r5"
+ media-libs/libsdl
+ media-sound/xmms"
RDEPEND="${DEPEND}"
-S=${WORKDIR}/${NAME}-${PV}
src_compile() {
diff --git a/media-sound/xmms-infopipe/xmms-infopipe-1.3.ebuild b/media-sound/xmms-infopipe/xmms-infopipe-1.3.ebuild
index 0afac6af68f5..2f318b46c545 100644
--- a/media-sound/xmms-infopipe/xmms-infopipe-1.3.ebuild
+++ b/media-sound/xmms-infopipe/xmms-infopipe-1.3.ebuild
@@ -1,29 +1,21 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-infopipe/xmms-infopipe-1.3.ebuild,v 1.1 2002/07/09 13:49:05 aliz Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-infopipe/xmms-infopipe-1.3.ebuild,v 1.2 2002/07/22 00:48:14 seemant Exp $
+S=${WORKDIR}/${P}
DESCRIPTION="Publish information about currently playing song in xmms to a temp file"
-
+SRC_URI="http://www.beastwithin.org/users/wwwwolf/code/xmms/${P}.tar.gz"
HOMEPAGE="http://www.beastwithin.org/users/wwwwolf/code/xmms/infopipe.html"
-LICENSE="GPL-2"
SLOT="0"
+LICENSE="GPL-2"
KEYWORDS="x86"
DEPEND=">=media-sound/xmms-1.2.7"
-SRC_URI="http://www.beastwithin.org/users/wwwwolf/code/xmms/${P}.tar.gz"
-
-S=${WORKDIR}/${P}
-
src_compile() {
- ./configure \
- --host=${CHOST} \
- --prefix=/usr \
- --infodir=/usr/share/info \
- --mandir=/usr/share/man || die "./configure failed"
+ econf || die "./configure failed"
emake || die
- #make || die
}
src_install () {
@@ -33,6 +25,3 @@ src_install () {
dodoc AUTHORS COPYING ChangeLog INSTALL NEWS README
}
-
-
-
diff --git a/media-sound/xmms-iris/files/digest-xmms-iris-0.9 b/media-sound/xmms-iris/files/digest-xmms-iris-0.9
deleted file mode 100644
index 2935aee69aa0..000000000000
--- a/media-sound/xmms-iris/files/digest-xmms-iris-0.9
+++ /dev/null
@@ -1 +0,0 @@
-MD5 16462c64abd7eb3d5755cb346231f80a iris-0.9.tar.gz 214038
diff --git a/media-sound/xmms-iris/xmms-iris-0.10.ebuild b/media-sound/xmms-iris/xmms-iris-0.10.ebuild
index 3daf64513ebb..33ad1ca95402 100644
--- a/media-sound/xmms-iris/xmms-iris-0.10.ebuild
+++ b/media-sound/xmms-iris/xmms-iris-0.10.ebuild
@@ -1,13 +1,17 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-iris/xmms-iris-0.10.ebuild,v 1.3 2002/07/11 06:30:42 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-iris/xmms-iris-0.10.ebuild,v 1.4 2002/07/22 00:48:14 seemant Exp $
-NAME="iris"
-S=${WORKDIR}/${NAME}-${PV}
+MY_P=${P/xmms-/}
+S=${WORKDIR}/${MY_P}
DESCRIPTION="XMMS OpenGL visualization plugin"
-SRC_URI="http://cdelfosse.free.fr/xmms-iris/${NAME}-${PV}.tar.gz"
+SRC_URI="http://cdelfosse.free.fr/xmms-iris/${MY_P}.tar.gz"
HOMEPAGE="http://cdelfosse.free.fr/xmms-iris/"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+
DEPEND="virtual/opengl
=x11-libs/gtk+-1.2*
>=media-sound/xmms-1.2.6-r1"
diff --git a/media-sound/xmms-iris/xmms-iris-0.9.ebuild b/media-sound/xmms-iris/xmms-iris-0.9.ebuild
deleted file mode 100644
index a91b0755e519..000000000000
--- a/media-sound/xmms-iris/xmms-iris-0.9.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2002 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-iris/xmms-iris-0.9.ebuild,v 1.3 2002/07/11 06:30:42 drobbins Exp $
-
-NAME="iris"
-S=${WORKDIR}/${NAME}-${PV}
-DESCRIPTION="XMMS OpenGL visualization plugin"
-SRC_URI="http://cdelfosse.free.fr/xmms-iris/${NAME}-${PV}.tar.gz"
-HOMEPAGE="http://cdelfosse.free.fr/xmms-iris/"
-
-DEPEND="virtual/opengl
- =x11-libs/gtk+-1.2*
- >=media-sound/xmms-1.2.6-r1"
-
-src_compile() {
-
- econf || die
- emake || die
-}
-
-
-src_install () {
-
- dodir /usr/lib/xmms/Visualization
-
- make DESTDIR=${D} install || die
-
- dodoc AUTHORS COPYING ChangeLog INSTALL README TODO NEWS
-}
diff --git a/media-sound/xmms-jess/xmms-jess-2.9.1.ebuild b/media-sound/xmms-jess/xmms-jess-2.9.1.ebuild
index 56a0209ac3e2..a8bc4fa00977 100644
--- a/media-sound/xmms-jess/xmms-jess-2.9.1.ebuild
+++ b/media-sound/xmms-jess/xmms-jess-2.9.1.ebuild
@@ -1,20 +1,20 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-jess/xmms-jess-2.9.1.ebuild,v 1.1 2002/06/03 21:25:42 lostlogic Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-jess/xmms-jess-2.9.1.ebuild,v 1.2 2002/07/22 00:48:14 seemant Exp $
-NAME="JESS"
-S=${WORKDIR}/${NAME}-${PV}
+MY_P="JESS-${PV}"
+S=${WORKDIR}/${MY_P}
DESCRIPTION="JESS Visualization Plugin for XMMS"
-SRC_URI="http://arquier.free.fr/${NAME}-${PV}.tar.gz"
+SRC_URI="http://arquier.free.fr/${MY_P}.tar.gz"
HOMEPAGE="http://arquier.free.fr/"
-LICENSE="GPL"
SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
-DEPEND=">=media-sound/xmms-1.2.5
- >=media-libs/libsdl-1.1.5
- >=x11-base/xfree-3.3.6"
-RDEPEND="${DEPEND}"
+DEPEND="virtual/x11
+ media-sound/xmms
+ >=media-libs/libsdl-1.1.5"
src_compile() {
diff --git a/media-sound/xmms-mad/files/digest-xmms-mad-0.0.8 b/media-sound/xmms-mad/files/digest-xmms-mad-0.0.8
deleted file mode 100644
index 6cdac666c7df..000000000000
--- a/media-sound/xmms-mad/files/digest-xmms-mad-0.0.8
+++ /dev/null
@@ -1 +0,0 @@
-MD5 a135f2143104a6ca06954b3f370297bb xmms-mad-0.0.8.tar.gz 188197
diff --git a/media-sound/xmms-mad/xmms-mad-0.0.8.ebuild b/media-sound/xmms-mad/xmms-mad-0.0.8.ebuild
deleted file mode 100644
index 44d0bc47189a..000000000000
--- a/media-sound/xmms-mad/xmms-mad-0.0.8.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 1999-2002 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-mad/xmms-mad-0.0.8.ebuild,v 1.2 2002/07/11 06:30:42 drobbins Exp $
-
-S=${WORKDIR}/${P}
-DESCRIPTION="A XMMS plugin for MAD"
-SRC_URI="http://www.superduper.net/downloads/xmms-mad/${P}.tar.gz"
-HOMEPAGE="http://www.superduper.net/xmms-mad/"
-LICENSE="GPL-2"
-
-DEPEND="media-sound/xmms media-sound/mad"
-
-src_compile() {
- ./configure \
- --host=${CHOST} \
- --prefix=/usr \
- --infodir=/usr/share/info \
- --mandir=/usr/share/man || die "./configure failed"
-
- emake || die
-}
-
-src_install () {
- make DESTDIR=${D} install || die "Make failed"
- dodoc AUTHORS COPYING ChangeLog NEWS README
-}
diff --git a/media-sound/xmms-mad/xmms-mad-0.0.9.ebuild b/media-sound/xmms-mad/xmms-mad-0.0.9.ebuild
index 680ae80e616b..660124a47cdc 100644
--- a/media-sound/xmms-mad/xmms-mad-0.0.9.ebuild
+++ b/media-sound/xmms-mad/xmms-mad-0.0.9.ebuild
@@ -1,22 +1,21 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-mad/xmms-mad-0.0.9.ebuild,v 1.2 2002/07/11 06:30:42 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-mad/xmms-mad-0.0.9.ebuild,v 1.3 2002/07/22 00:48:14 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="A XMMS plugin for MAD"
SRC_URI="http://www.superduper.net/downloads/xmms-mad/${P}.tar.gz"
HOMEPAGE="http://www.superduper.net/xmms-mad/"
+
+SLOT="0"
LICENSE="GPL-2"
+KEYWORDS="x86"
-DEPEND="media-sound/xmms media-sound/mad"
+DEPEND="media-sound/xmms
+ media-sound/mad"
src_compile() {
- ./configure \
- --host=${CHOST} \
- --prefix=/usr \
- --infodir=/usr/share/info \
- --mandir=/usr/share/man || die "./configure failed"
-
+ econf || die "./configure failed"
emake || die
}
diff --git a/media-sound/xmms-nas/xmms-nas-0.2-r1.ebuild b/media-sound/xmms-nas/xmms-nas-0.2-r1.ebuild
index 1609d81a847b..38acc337f405 100644
--- a/media-sound/xmms-nas/xmms-nas-0.2-r1.ebuild
+++ b/media-sound/xmms-nas/xmms-nas-0.2-r1.ebuild
@@ -1,31 +1,28 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-nas/xmms-nas-0.2-r1.ebuild,v 1.3 2002/07/11 06:30:42 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-nas/xmms-nas-0.2-r1.ebuild,v 1.4 2002/07/22 00:48:14 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="A xmms plugin for NAS"
-SRC_URI="ftp://mud.stack.nl/pub/OuterSpace/willem/xmms-nas-${PV}.tar.gz"
+SRC_URI="ftp://mud.stack.nl/pub/OuterSpace/willem/${P}.tar.gz"
HOMEPAGE="http://www.xmms.org/plugins_input.html"
DEPEND="media-sound/xmms media-libs/nas"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+
src_compile() {
- try ./configure --prefix=/usr --host=${CHOST}
-# if [ "`use gnome`" ]
-# then
-# cp Makefile Makefile.orig
-# sed -e "s:^CFLAGS = :CFLAGS = -I/opt/gnome/include :" \
-# Makefile.orig > Makefile
-# fi
- touch config.h
- try make
+ econf || die
+ touch config.h
+ make || die
}
src_install () {
- try make DESTDIR=${D} install
- dodoc AUTHORS COPYING ChangeLog NEWS README TODO
+ make DESTDIR=${D} install || die
+ dodoc AUTHORS COPYING ChangeLog NEWS README TODO
}
-
diff --git a/media-sound/xmms-nebulus/xmms-nebulus-0.2.0.ebuild b/media-sound/xmms-nebulus/xmms-nebulus-0.2.0.ebuild
index 263c2e27e71d..f7e1223f33f5 100644
--- a/media-sound/xmms-nebulus/xmms-nebulus-0.2.0.ebuild
+++ b/media-sound/xmms-nebulus/xmms-nebulus-0.2.0.ebuild
@@ -1,17 +1,18 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-nebulus/xmms-nebulus-0.2.0.ebuild,v 1.1 2002/06/28 16:35:13 lostlogic Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-nebulus/xmms-nebulus-0.2.0.ebuild,v 1.2 2002/07/22 00:48:14 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="OpenGL/SDL visualization plugin for XMMS"
HOMEPAGE="http://nebulus.tuxfamily.org/"
SRC_URI="http://nebulus.tuxfamily.org/${P}.tar.gz"
+
SLOT="0"
-LICENSE="GPL"
+LICENSE="GPL-2"
+KEYWORDS="x86"
DEPEND="media-sound/xmms
media-libs/libsdl"
-RDEPEND="${DEPEND}"
src_compile() {
econf || die
diff --git a/media-sound/xmms-shell/files/digest-xmms-shell-0.99.0 b/media-sound/xmms-shell/files/digest-xmms-shell-0.99.0
deleted file mode 100644
index 9ac88339d0d0..000000000000
--- a/media-sound/xmms-shell/files/digest-xmms-shell-0.99.0
+++ /dev/null
@@ -1 +0,0 @@
-MD5 a1685669f12770fbce0ea412e4e8e7da xmms-shell-0.99.0.tar.gz 51914
diff --git a/media-sound/xmms-shell/xmms-shell-0.99.0-r1.ebuild b/media-sound/xmms-shell/xmms-shell-0.99.0-r1.ebuild
index eea19902f744..06354f490e26 100644
--- a/media-sound/xmms-shell/xmms-shell-0.99.0-r1.ebuild
+++ b/media-sound/xmms-shell/xmms-shell-0.99.0-r1.ebuild
@@ -1,8 +1,7 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-shell/xmms-shell-0.99.0-r1.ebuild,v 1.2 2002/07/11 06:30:42 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-shell/xmms-shell-0.99.0-r1.ebuild,v 1.3 2002/07/22 00:48:14 seemant Exp $
-LICENSE="GPL-2"
S=${WORKDIR}/${P}
DESCRIPTION="XMMS-Shell is a simple utility to control XMMS externally."
@@ -11,29 +10,27 @@ HOMEPAGE="http://www.loganh.com/xmms-shell/"
DEPEND=">=media-sound/xmms-1.2.7
readline? ( >=sys-libs/readline-4.1 )"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+
src_unpack() {
unpack ${A}
if [ -n "`readlink /etc/make.profile |grep gcc3`" ]
then
# shall be sent upstream
- patch -p0 <${FILESDIR}/xmms-shell-gcc3.patch
+ patch -p0 <${FILESDIR}/${PN}-gcc3.patch
fi
}
src_compile() {
- local myopts
+ local myconf
use readline \
- && myopts="${myopts} --with-readline" \
- || myopts="${myopts} --without-readline"
-
- ./configure \
- --host=${CHOST} \
- --prefix=/usr \
- --infodir=/usr/share/info \
- --mandir=/usr/share/man \
- ${myopts} || die "./configure failed"
-
+ && myconf="${myconf} --with-readline" \
+ || myconf="${myconf} --without-readline"
+
+ econf ${myconf} || die "./configure failed"
emake || die
}
diff --git a/media-sound/xmms-shell/xmms-shell-0.99.0.ebuild b/media-sound/xmms-shell/xmms-shell-0.99.0.ebuild
deleted file mode 100644
index 56febaaa5d79..000000000000
--- a/media-sound/xmms-shell/xmms-shell-0.99.0.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2002 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# /space/gentoo/cvsroot/gentoo-x86/skel.ebuild,v 1.5 2002/04/29 22:56:53 sandymac Exp
-
-S=${WORKDIR}/${P}
-DESCRIPTION="XMMS-Shell is a simple utility to control XMMS externally."
-SRC_URI="http://download.sourceforge.net/xmms-shell/xmms-shell-0.99.0.tar.gz"
-HOMEPAGE="http://www.loganh.com/xmms-shell/"
-LICENSE="GPL"
-DEPEND=">=media-sound/xmms-1.2.7
- readline? ( >=sys-libs/readline-4.1 )"
-
-src_compile() {
- local myopts
-
- use readline \
- && myopts="${myopts} --with-readline" \
- || myopts="${myopts} --without-readline"
-
- ./configure \
- --host=${CHOST} \
- --prefix=/usr \
- --infodir=/usr/share/info \
- --mandir=/usr/share/man \
- ${myopts} || die "./configure failed"
-
- emake || die
-}
-
-src_install () {
- make DESTDIR=${D} install || die
-
- dodoc AUTHORS README
-}
diff --git a/media-sound/xmms-shn/xmms-shn-2.2.4.ebuild b/media-sound/xmms-shn/xmms-shn-2.2.4.ebuild
index 63e4bb1577ea..3809e8ed4347 100644
--- a/media-sound/xmms-shn/xmms-shn-2.2.4.ebuild
+++ b/media-sound/xmms-shn/xmms-shn-2.2.4.ebuild
@@ -1,15 +1,20 @@
# Copyright 1999-2001 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-shn/xmms-shn-2.2.4.ebuild,v 1.2 2002/07/11 06:30:42 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-shn/xmms-shn-2.2.4.ebuild,v 1.3 2002/07/22 00:48:14 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="This input plugin allows xmms to play .shn compressed (lossless) files"
SRC_URI="http://shnutils.etree.org/xmms-shn/source/${P}.tar.bz2"
HOMEPAGE="http://shnutils.etree.org/xmms-shn"
-DEPEND="virtual/glibc >=media-sound/xmms-1.2.5-r1"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+
+DEPEND="media-sound/xmms"
src_compile() {
- ./configure --prefix=/usr --host=${CHOST} || die
+ econf || die
make || die
}
@@ -17,4 +22,3 @@ src_install() {
make DESTDIR=${D} libdir=/usr/lib/xmms/Input install || die
dodoc AUTHORS COPYING NEWS README
}
-
diff --git a/media-sound/xmms-sid/xmms-sid-0.7.3.ebuild b/media-sound/xmms-sid/xmms-sid-0.7.3.ebuild
index 8aaf04fd7de4..e36e34266526 100644
--- a/media-sound/xmms-sid/xmms-sid-0.7.3.ebuild
+++ b/media-sound/xmms-sid/xmms-sid-0.7.3.ebuild
@@ -1,28 +1,24 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-sid/xmms-sid-0.7.3.ebuild,v 1.1 2002/07/18 19:09:28 karltk Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-sid/xmms-sid-0.7.3.ebuild,v 1.2 2002/07/22 00:48:14 seemant Exp $
+S=${WORKDIR}/${P}
DESCRIPTION="C64 SID plugin for XMMS"
HOMEPAGE="http://www.tnsp.org/xmms-sid.php"
SRC_URI="http://www.tnsp.org/xs-files/${P}.tar.bz2"
-LICENSE="GPL-2"
+
SLOT="0"
+LICENSE="GPL-2"
KEYWORDS="x86"
-DEPEND=">=media-sound/xmms-1.2.7"
-RDEPEND="$DEPEND"
-S=${WORKDIR}/${P}
+
+DEPEND="media-sound/xmms"
src_compile() {
- ./configure \
- --host=${CHOST} \
- --prefix=/usr \
- --infodir=/usr/share/info \
- --mandir=/usr/share/man || die "./configure failed"
+ econf || die "./configure failed"
emake || die
- #make || die
}
src_install () {
make DESTDIR=${D} install || die
- dodoc AUTHORS BUGS COPYING ChangeLog INSTALL README* NEWS TODO
+ dodoc AUTHORS BUGS COPYING ChangeLog INSTALL README* NEWS TODO
}
diff --git a/media-sound/xmms-status-plugin/xmms-status-plugin-0.9.ebuild b/media-sound/xmms-status-plugin/xmms-status-plugin-0.9.ebuild
index 54dbf21f09cb..d9ab5ce138f3 100644
--- a/media-sound/xmms-status-plugin/xmms-status-plugin-0.9.ebuild
+++ b/media-sound/xmms-status-plugin/xmms-status-plugin-0.9.ebuild
@@ -1,28 +1,29 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-status-plugin/xmms-status-plugin-0.9.ebuild,v 1.2 2002/07/11 06:30:42 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-status-plugin/xmms-status-plugin-0.9.ebuild,v 1.3 2002/07/22 00:48:14 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="Provides a docklet for the GNOME Status applet and the KDE panel."
SRC_URI="http://www.hellion.org.uk/source/${P}.tar.gz"
HOMEPAGE="http://www.hellion.org.uk/xmms-status-plugin/"
-DEPEND="virtual/glibc
- =x11-libs/gtk+-1.2*
- >=media-sound/xmms-1.2.7
- nls? ( sys-devel/gettext )"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+
+DEPEND="media-sound/xmms
+ =x11-libs/gtk+-1.2*"
+
+RDEPEND="nls? ( sys-devel/gettext )"
src_compile() {
local myconf
- use nls && myconf='--enable-nls' || myconf='--disable-nls'
-
- ./configure --prefix=/usr \
- --infodir=/usr/share/info \
- --mandir=/usr/share/man \
- --host=${CHOST} \
- ${myconf} || die
+ use nls \
+ && myconf="--enable-nls" \
+ || myconf="--disable-nls"
+ econf ${myconf} || die
emake || die
}
@@ -31,5 +32,3 @@ src_install () {
make DESTDIR=${D} install || die
dodoc AUTHORS COPYING ChangeLog INSTALL README TODO
}
-
-
diff --git a/media-sound/xmms-volnorm/xmms-volnorm-0.4.1.ebuild b/media-sound/xmms-volnorm/xmms-volnorm-0.4.1.ebuild
index 380d77cfbe14..8821afbc6af6 100644
--- a/media-sound/xmms-volnorm/xmms-volnorm-0.4.1.ebuild
+++ b/media-sound/xmms-volnorm/xmms-volnorm-0.4.1.ebuild
@@ -1,6 +1,6 @@
# Copyright 2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-volnorm/xmms-volnorm-0.4.1.ebuild,v 1.2 2002/07/11 06:30:42 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-volnorm/xmms-volnorm-0.4.1.ebuild,v 1.3 2002/07/22 00:48:14 seemant Exp $
MY_P=${P/xmms-/}
S=${WORKDIR}/${MY_P}
@@ -9,7 +9,11 @@ is recorded at a different volume level"
SRC_URI="http://download.sourceforge.net/volnorm/${MY_P}.tar.gz"
HOMEPAGE="http://volnorm.sourceforge.net"
-DEPEND=">=media-sound/xmms-1.2.7-r1"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+
+DEPEND="media-sound/xmms"
src_compile() {
diff --git a/media-sound/xmms-xosd/xmms-xosd-0.7.0.ebuild b/media-sound/xmms-xosd/xmms-xosd-0.7.0.ebuild
index 4fbb54c8e03b..0c2d6ed6bbde 100644
--- a/media-sound/xmms-xosd/xmms-xosd-0.7.0.ebuild
+++ b/media-sound/xmms-xosd/xmms-xosd-0.7.0.ebuild
@@ -1,17 +1,20 @@
# Copyright 2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-NAME="xmms-xosd"
-S=${WORKDIR}/${NAME}-${PV}
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmms-xosd/xmms-xosd-0.7.0.ebuild,v 1.2 2002/07/22 00:48:14 seemant Exp $
+
+S=${WORKDIR}/${P}
DESCRIPTION="xmms plugin for overlaying song titles in X-Windows - X-On-Screen-Display"
-SRC_URI="http://www.ignavus.net/xosd-${PV}.tar.gz"
+SRC_URI="http://www.ignavus.net/${P}.tar.gz"
HOMEPAGE="http://www.ignavus.net/"
+
+SLOT="0"
+LICENSE="GPL"
+KEYWORDS="x86"
+
DEPEND="virtual/x11
- virtual/glibc
- >=media-sound/xmms-1.2.6-r1
+ media-sound/xmms
=x11-libs/xosd-0.7.0"
-RDEPEND="${DEPEND}"
-LICENSE="GPL"
-SLOT="0"
+
src_unpack() {
unpack ${A}
cd ${WORKDIR}/xosd-${PV}
diff --git a/media-sound/xmp/xmp-2.0.5_pre3.ebuild b/media-sound/xmp/xmp-2.0.5_pre3.ebuild
index 54f899179ef6..6576ee198c94 100644
--- a/media-sound/xmp/xmp-2.0.5_pre3.ebuild
+++ b/media-sound/xmp/xmp-2.0.5_pre3.ebuild
@@ -1,33 +1,55 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/media-sound/xmp/xmp-2.0.5_pre3.ebuild,v 1.1 2002/06/17 13:56:30 karltk Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/xmp/xmp-2.0.5_pre3.ebuild,v 1.2 2002/07/22 00:48:14 seemant Exp $
S="${WORKDIR}/${PN}-2.0.5-pre3"
DESCRIPTION="Extended Module Player"
-SRC_URI="http://telia.dl.sourceforge.net/sourceforge/xmp/${PN}-2.0.5pre3.tar.bz2"
+SRC_URI="mirror://sourceforge/xmp/${PN}-2.0.5pre3.tar.bz2"
HOMEPAGE="http://xmp.sf.net"
+
+SLOT="0"
LICENSE="GPL-2"
-DEPEND="virtual/glibc
- alsa? ( media-libs/alsa-lib )
- arts? ( kde-base/arts )
- xmms? ( media-sound/xmms )
+KEYWORDS="x86"
+
+DEPEND="X? ( virtual/x11 )
esd? ( media-sound/esound )
nas? ( media-libs/nas )
- X? ( virtual/x11 )
- "
+ alsa? ( media-libs/alsa-lib )
+ arts? ( kde-base/arts )
+ xmms? ( media-sound/xmms )"
src_compile() {
- local myc
+ local myconf
+
+ use alsa \
+ && myconf="${myconf} --enable-alsa" \
+ || myconf="${myconf} --disable-alsa"
+
+ use arts \
+ && myconf="${myconf} --enable-arts" \
+ || myconf="${myconf} --disable-arts"
+
+ use esd \
+ && myconf="${myconf} --enable-esd" \
+ || myconf="${myconf} --disable-esd"
+
+ use nas \
+ && myconf="${myconf} --enable-nas" \
+ || myconf="${myconf} --disable-nas"
+
+ use oss \
+ && myconf="${myconf} --enable-oss" \
+ || myconf="${myconf} --disable-oss"
+
+ use xmms \
+ && myconf="${myconf} --enable-xmms" \
+ || myconf="${myconf} --disable-xmms"
- use alsa && myc="${myc} --enable-alsa" || myc="${myc} --disable-alsa"
- use arts && myc="${myc} --enable-arts" || myc="${myc} --disable-arts"
- use esd && myc="${myc} --enable-esd" || myc="${myc} --disable-esd"
- use nas && myc="${myc} --enable-nas" || myc="${myc} --disable-nas"
- use oss && myc="${myc} --enable-oss" || myc="${myc} --disable-oss"
- use xmms && myc="${myc} --enable-xmms" || myc="${myc} --disable-xmms"
- use X && myc="${myc} --with-x" || myc="${myc} --with-x"
+ use X \
+ && myconf="${myconf} --with-x" \
+ || myconf="${myconf} --with-x"
- econf ${myc} || die
+ econf ${myconf} || die
make || die
}